View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001763aMuleMiscpublic2016-02-07 10:262016-04-05 04:36
Reportersirkay2006 
Assigned ToGonoszTopi 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionno change required 
PlatformlinuxOSdebianOS Version8.3
Product VersionSVN 
Target Version2.3.2Fixed in Version2.3.2 
Summary0001763: amule master does not compile
Descriptiongit log

commit bf163ae89fb242b5909adb138fb59892f0dd6527
Author: Dévai Tamás <gonosztopi@amule.org>
Date: Thu Feb 4 16:26:58 2016 +0100

    Remove unused variable
    
    The variable was only set during program execution, but never read.

---

compilation error

amule-ECSpecialCoreTags.o: In function `CEC_ConnState_Tag::CEC_ConnState_Tag(EC_DETAIL_LEVEL)':
/home/totoro16d/_bin/src/amuleGit/src/ECSpecialCoreTags.cpp:153: undefined reference to `CECTag::CECTag(unsigned short, Kademlia::CUInt128 const&)'
collect2: error: ld returned 1 exit status

---

configure

  **** aMule Core ****
  Prefix where aMule should be installed? /home/pope/_bin/bin/amuleGit
  Should aMule be compiled with i18n support? yes
  Should aMule be compiled in debug mode? yes
  Should aMule be compiled with profiling? no
  Should aMule be compiled with optimizations? yes
  Should aMule be compiled with UPnP support? yes
  Should aMule be compiled with IP2country support? no
  Should aMule monolithic application be built? yes
  Should aMule daemon version be built? yes
  Should aMule remote gui be built? yes
  Crypto++ library/headers style? sources

  **** aMule TextClient ****
  Should aMule Command Line Client be built? yes

  **** aMule WebServer ****
  Should aMule WebServer be built? yes

  **** aMule ED2K Links Handler ****
  Should aMule ED2K Links Handler be built? yes

  **** aMuleLinkCreator ****
  Should aMuleLinkCreator GUI version (alc) be built? no
  Should aMuleLinkCreator for console (alcc) be built? no

  **** aMule Statistics ****
  Should C aMule Statistics (CAS) be built? no
  Should aMule GUI Statistics (wxCas) be built? no
  Should xas XChat2 plugin be installed? no
  Should plasmaMule plasma-applet be build? no

  **** General Libraries and Tools ****
  Should ccache support be enabled? no
  Libraries aMule will use to build:
                             wxWidgets 2.8.12 (gtk2,shared)
                             crypto++ 5.6.2 (sources, in /home/pope/_bin/bin/cryptopp-5.6.2)
                             libupnp 1.6.19 (in /home/pope/_bin/bin/libupnp-1.6.19)
                             libintl system
                             libpng 1.2.50
                             zlib 1.2.8
TagsNo tags attached.
Fixed in Revision
Operating Systemlinux
Attached Files

- Relationships

-  Notes
(0003673)
sirkay2006 (reporter)
2016-02-07 11:15

diff --git a/src/libs/ec/cpp/ECSpecialTags.h b/src/libs/ec/cpp/ECSpecialTags.h
index e07cf3b..296fe40 100644
--- a/src/libs/ec/cpp/ECSpecialTags.h
+++ b/src/libs/ec/cpp/ECSpecialTags.h
@@ -26,6 +26,7 @@
 #define ECSPECIALTAGS_H
 
 //#warning Kry - Preferences packet derived from packet, and that's ok, but shouldn't be here because this is a tag file and forces a stupid include
+#include "ECTag.h"
 #include "ECPacket.h" // Needed for CECPacket
 #include "../../../NetworkFunctions.h" // Needed for IsLowID
 #include "../../../ClientCredits.h" // Needed for EIdentState


fixes, but another error follows...

amule-ECSpecialCoreTags.o: In function `CEC_ConnState_Tag::CEC_ConnState_Tag(EC_DETAIL_LEVEL)':
/home/totoro16d/_bin/src/amuleGit/src/ECSpecialCoreTags.cpp:153: undefined reference to `CECTag::CECTag(unsigned short, Kademlia::CUInt128 const&)'
collect2: error: ld returned 1 exit status
(0003674)
GonoszTopi (administrator)
2016-03-12 08:16

First of all, sorry for the late reply. I'd like to know whether the problem still persist or not. In the former case, did you re-run autogen.sh before building?
(0003677)
sirkay2006 (reporter)
2016-03-25 17:53

Problem has been solved with following commits.

You can close this problem, thanks
(0003681)
GonoszTopi (administrator)
2016-04-05 04:36

Thanks for your kind reply.

- Issue History
Date Modified Username Field Change
2016-02-07 10:26 sirkay2006 New Issue
2016-02-07 11:15 sirkay2006 Note Added: 0003673
2016-03-12 08:16 GonoszTopi Note Added: 0003674
2016-03-12 08:16 GonoszTopi Assigned To => GonoszTopi
2016-03-12 08:16 GonoszTopi Status new => feedback
2016-03-12 08:16 GonoszTopi Target Version => 2.3.2
2016-03-25 17:53 sirkay2006 Note Added: 0003677
2016-03-25 17:53 sirkay2006 Status feedback => assigned
2016-04-05 04:36 GonoszTopi Note Added: 0003681
2016-04-05 04:36 GonoszTopi Status assigned => resolved
2016-04-05 04:36 GonoszTopi Resolution open => no change required
2016-04-05 04:36 GonoszTopi Fixed in Version => 2.3.2


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker